<template>
    <div>Đang chuyển hướng</div>
</template>

<script>
export default {
    auth: false,
    created() {
        console.log(this.$router);
        console.log(this.$nuxt._route.query.token);
        
    },
    methods: {
        async login() {
            try {
                let token = this.$nuxt._route.query.token;

                await this.$auth.loginWith('local', {
                    data: {
                        token: token
                    }
                })

                this.$router.push('/')
            } catch (e) {
                this.error = e.response.data.message
            }
        }
    },
    created(){
        this.login();
    }
}
</script>

<style>

</style>
